Bug 1814283 - [4.4] HPA based on cpu utilization fails for pods which have init containers
Summary: [4.4] HPA based on cpu utilization fails for pods which have init containers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.4.0
Assignee: Ryan Phillips
QA Contact: Weinan Liu
URL:
Whiteboard:
Depends On: 1749468
Blocks: 1822955
TreeView+ depends on / blocked
 
Reported: 2020-03-17 14:49 UTC by Ryan Phillips
Modified: 2020-05-04 11:46 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: HPA was not receiving metrics from exited initcontainers. Consequence: Fix: Result: The patch correctly submits 'zero' based metrics for exited initContainers so that HPA can perform analysis on these pods.
Clone Of: 1749468
Environment:
Last Closed: 2020-05-04 11:46:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 24671 None closed [release-4.4] Bug 1814283: UPSTREAM: 88734: Work-around for missing metrics on CRI-O exited containers 2020-06-24 12:06:54 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:46:54 UTC

Comment 6 errata-xmlrpc 2020-05-04 11:46:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.